com.pixelmed.anatproc

## Class DisplayableViewConcept

- java.lang.Object
- - com.pixelmed.anatproc.Concept
  - - com.pixelmed.anatproc.CodedConcept
    - - com.pixelmed.anatproc.DisplayableConcept
      - - com.pixelmed.anatproc.DisplayableViewConcept

    public class DisplayableViewConcept
    extends DisplayableConcept

This class represents view position concepts that may be encoded and displayed.

### Field Summary

### Fields inherited from class com.pixelmed.anatproc.DisplayableConcept

`fullyQualifiedMenuEntry, shortcutMenuEntry`

### Fields inherited from class com.pixelmed.anatproc.CodedConcept

`codeMeaning, codeStringEquivalent, codeValue, codingSchemeDesignator, codingSchemeVersion, conceptIdentifier, legacyCodingSchemeDesignator, synonynms`

### Fields inherited from class com.pixelmed.anatproc.Concept

`conceptUniqueIdentifier`

### Constructor Summary

Constructors
`protected` `DisplayableViewConcept()`

``

`DisplayableViewConcept(java.lang.String conceptUniqueIdentifier, java.lang.String conceptIdentifier, java.lang.String codingSchemeDesignator, java.lang.String legacyCodingSchemeDesignator, java.lang.String codingSchemeVersion, java.lang.String codeValue, java.lang.String codeMeaning, java.lang.String codeStringEquivalent, java.lang.String[] synonynms, java.lang.String[] shortcutMenuEntry, java.lang.String[] fullyQualifiedMenuEntry)`

### Method Summary

### Methods inherited from class com.pixelmed.anatproc.DisplayableConcept

`getFullyQualifiedMenuEntry, getShortcutMenuEntry, toString`

### Methods inherited from class com.pixelmed.anatproc.CodedConcept

`getCodeAsString, getCodedSequenceItem, getCodeMeaning, getCodeStringEquivalent, getCodeValue, getCodingSchemeDesignator, getCodingSchemeVersion, getConceptIdentifier, getLegacyCodingSchemeDesignator, getSynonyms, toStringBrief`

### Methods inherited from class com.pixelmed.anatproc.Concept

`equals, getConceptUniqueIdentifier, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DisplayableViewConcept

    public DisplayableViewConcept(java.lang.String conceptUniqueIdentifier,
                          java.lang.String conceptIdentifier,
                          java.lang.String codingSchemeDesignator,
                          java.lang.String legacyCodingSchemeDesignator,
                          java.lang.String codingSchemeVersion,
                          java.lang.String codeValue,
                          java.lang.String codeMeaning,
                          java.lang.String codeStringEquivalent,
                          java.lang.String[] synonynms,
                          java.lang.String[] shortcutMenuEntry,
                          java.lang.String[] fullyQualifiedMenuEntry)

#### DisplayableViewConcept

    protected DisplayableViewConcept()